Debian Bug report logs - #693540
autopkgtest: doesn't support versioned dependencies

version graph

Package: autopkgtest; Maintainer for autopkgtest is Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>; Source for autopkgtest is src:autopkgtest.

Reported by: Stefano Rivera <stefanor@debian.org>

Date: Sat, 17 Nov 2012 18:45:02 UTC

Severity: normal

Tags: patch

Merged with 704602

Found in version autopkgtest/2.2.3

Fixed in version autopkgtest/2.2.4

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>:
Bug#693540; Package autopkgtest. (Sat, 17 Nov 2012 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefanor@debian.org>:
New Bug report received and forwarded. Copy sent to Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>. (Sat, 17 Nov 2012 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: autopkgtest: doesn't support versioned dependencies
Date: Sat, 17 Nov 2012 20:40:16 +0200
Package: autopkgtest
Version: 2.2.3
Severity: normal

README-tests says:
> Depends: <dpkg dependency field syntax>

However, if I use a versioned dependency, adt-run throws a hissy fit:

> badpkg: Test Depends field contains dependency `python-nose (>= 0.11)' with invalid characters

Not sure if this is a bug in the spec or the implementation. I'd like to
be able to use versioned dependencies, I think they're useful, so let's
call it an implementation bug.

SR



Information forwarded to debian-bugs-dist@lists.debian.org, Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>:
Bug#693540; Package autopkgtest. (Wed, 03 Apr 2013 17:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 03 Apr 2013 17:18:04 GMT) Full text and rfc822 format available.


Message #10 received at 693540@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: control@bugs.debian.org, 693540@bugs.debian.org
Date: Wed, 03 Apr 2013 19:14:21 +0200
reassign 704602 autopkgtest
found 704602 2.2.3
notfound 704602 0.13.2~rc2-1
merge 704602 693540

thanks

the spec does not say versioned depends are forbidden, to me this is a
bug in autopkgtest.

Nevertheless I'll work around it in ipython on the next upload, so no
need for assignment ping-pong if you disagree.



Added tag(s) patch. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Wed, 03 Apr 2013 17:18:10 GMT) Full text and rfc822 format available.

Merged 693540 704602 Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Wed, 03 Apr 2013 17:18:10 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Wed, 03 Apr 2013 17:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>:
Bug#693540; Package autopkgtest. (Tue, 09 Apr 2013 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>:
Extra info received and forwarded to list. Copy sent to Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>. (Tue, 09 Apr 2013 18:51:08 GMT) Full text and rfc822 format available.

Message #21 received at 693540@bugs.debian.org (full text, mbox):

From: Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
To: 693540@bugs.debian.org
Subject: [patch] Adds support for versioned dependencies in test control file
Date: Tue, 09 Apr 2013 20:49:13 +0200
[Message part 1 (text/plain, inline)]
Tags: patch

This patch adds support for versioned dependencies in the test control 
file. It checks that the format of the dependency is correct and that 
the version number is valid.

The dependencies are written unchanged to the .dsc that is used by 
pbuilder-satisfydepends-classic to install the packages.

-- 
Jean-Baptiste
IRC: jibel
[autopkgtest_693540.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>:
Bug#693540; Package autopkgtest. (Wed, 10 Apr 2013 09:33:27 GMT) Full text and rfc822 format available.

Message #24 received at 693540@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>, 693540@bugs.debian.org
Subject: Re: Bug#693540: [patch] Adds support for versioned dependencies in test control file
Date: Wed, 10 Apr 2013 11:32:39 +0200
Re: Jean-Baptiste Lallement 2013-04-09 <516462A9.7040607@canonical.com>
> Tags: patch
> 
> This patch adds support for versioned dependencies in the test
> control file. It checks that the format of the dependency is correct
> and that the version number is valid.
> 
> The dependencies are written unchanged to the .dsc that is used by
> pbuilder-satisfydepends-classic to install the packages.

"|" is also disallowed in the list, yet pbuilder supports that.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>:
Bug#693540; Package autopkgtest. (Sun, 19 May 2013 21:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>. (Sun, 19 May 2013 21:21:07 GMT) Full text and rfc822 format available.

Message #29 received at 693540@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Christoph Berg <myon@debian.org>, Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>, 693540@bugs.debian.org
Subject: Re: Bug#693540: [patch] Adds support for versioned dependencies in test control file
Date: Sun, 19 May 2013 22:19:28 +0100
On Wed, Apr 10, 2013 at 11:32:39AM +0200, Christoph Berg wrote:
> Re: Jean-Baptiste Lallement 2013-04-09 <516462A9.7040607@canonical.com>
> > This patch adds support for versioned dependencies in the test
> > control file. It checks that the format of the dependency is correct
> > and that the version number is valid.
> > 
> > The dependencies are written unchanged to the .dsc that is used by
> > pbuilder-satisfydepends-classic to install the packages.
> 
> "|" is also disallowed in the list, yet pbuilder supports that.

Indeed, this breaks lintian's autopkgtest:

  https://jenkins.qa.ubuntu.com/view/Saucy/view/AutoPkgTest/job/saucy-adt-lintian/ARCH=i386,label=adt/6/artifact/results/log

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>:
Bug#693540; Package autopkgtest. (Tue, 21 May 2013 12:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>:
Extra info received and forwarded to list. Copy sent to Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>. (Tue, 21 May 2013 12:27:13 GMT) Full text and rfc822 format available.

Message #34 received at 693540@bugs.debian.org (full text, mbox):

From: Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
To: Colin Watson <cjwatson@debian.org>
Cc: Christoph Berg <myon@debian.org>, 693540@bugs.debian.org
Subject: Re: Bug#693540: [patch] Adds support for versioned dependencies in test control file
Date: Tue, 21 May 2013 14:23:30 +0200
[Message part 1 (text/plain, inline)]
On 05/19/2013 11:19 PM, Colin Watson wrote:
> On Wed, Apr 10, 2013 at 11:32:39AM +0200, Christoph Berg wrote:
>> Re: Jean-Baptiste Lallement 2013-04-09 <516462A9.7040607@canonical.com>
>>> This patch adds support for versioned dependencies in the test
>>> control file. It checks that the format of the dependency is correct
>>> and that the version number is valid.
>>>
>>> The dependencies are written unchanged to the .dsc that is used by
>>> pbuilder-satisfydepends-classic to install the packages.
>>
>> "|" is also disallowed in the list, yet pbuilder supports that.
>
> Indeed, this breaks lintian's autopkgtest:
>
>    https://jenkins.qa.ubuntu.com/view/Saucy/view/AutoPkgTest/job/saucy-adt-lintian/ARCH=i386,label=adt/6/artifact/results/log
>
Thanks for the review. Here is a modified version of the patch that 
supports list of test dependencies with '|'.

I tested it against lintian (which passes with this patch) and binutils 
(which was expected to fail), ipython and apport


-- 
Jean-Baptiste
IRC: jibel
[autopkgtest_693540_2.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Wed, 05 Jun 2013 14:15:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Thu, 27 Jun 2013 11:21:11 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Thu, 27 Jun 2013 12:06:14 GMT) Full text and rfc822 format available.

Notification sent to Stefano Rivera <stefanor@debian.org>:
Bug acknowledged by developer. (Thu, 27 Jun 2013 12:06:14 GMT) Full text and rfc822 format available.

Message #43 received at 693540-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 693540-close@bugs.debian.org
Subject: Bug#693540: fixed in autopkgtest 2.2.4
Date: Thu, 27 Jun 2013 12:02:56 +0000
Source: autopkgtest
Source-Version: 2.2.4

We believe that the bug you reported is fixed in the latest version of
autopkgtest, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693540@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated autopkgtest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 27 Jun 2013 13:49:25 +0200
Source: autopkgtest
Binary: autopkgtest autopkgtest-xenlvm
Architecture: source all
Version: 2.2.4
Distribution: unstable
Urgency: low
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 autopkgtest - automatic as-installed testing for Debian packages
 autopkgtest-xenlvm - Xen/LVM2 based testbed snapshot system
Closes: 686292 693540 695797
Changes: 
 autopkgtest (2.2.4) unstable; urgency=low
 .
   [Jean-Baptiste Lallement]
   * Fix failure with "permission denied" with option --user. Closes: #686292,
     LP: #1084116
   * Use debian.deb822 Python module to parse control files. This fixes parsing
     of folded dependencies. Closes: #695797, LP: #1073856
   * Support versioned dependencies in debian/tests/control.
     Closes: #693540, LP: #1164362
 .
   [ Martin Pitt ]
   * Add myself as a co-maintainer, as per mailing list discussion.
   * Add machine-readable debian/copyright as per current 1.0 standard. Remove
     dynamic creation of debian/copyright from debian/rules.
   * Move from deprecated dh compat level 4 to 8 (supported in squeeze).
   * debian/rules: Use dh_installdocs to install copyright file instead of
     custom shell code.
   * debian/control: Add missing ${misc:Depends}.
   * Bump Standards-Version to 3.9.4.
Checksums-Sha1: 
 9b145f564decd70bd56c3b5042a5888433cbbbb5 1714 autopkgtest_2.2.4.dsc
 32fa180b8dd7b23f2ba58d0b41d066822f5b0709 78283 autopkgtest_2.2.4.tar.gz
 8df33f248dfd40939cfb5d7c9406d5bdc4678eda 66090 autopkgtest_2.2.4_all.deb
 3615cc233083aea4447c07022a7d859cabf53a24 27436 autopkgtest-xenlvm_2.2.4_all.deb
Checksums-Sha256: 
 4def5cdf65e5a63f4044075d5507bac3bfea5fc5e08528b6df22e696aa5521cd 1714 autopkgtest_2.2.4.dsc
 1d50b8bcf341bb9aa20d553021351c1e131240d9bf1909a2abfe973d084c92b6 78283 autopkgtest_2.2.4.tar.gz
 c4bc953f92943bc7fb5c891f52c6c1b27df377f0c1af1bfe63039820f533b65e 66090 autopkgtest_2.2.4_all.deb
 503fa40916cbefe2b8ef20f13d1f07c4faa655a72974db4862de2561b0ed4fd0 27436 autopkgtest-xenlvm_2.2.4_all.deb
Files: 
 3e2bec1b0b1e33f4842f99baad6f477d 1714 devel optional autopkgtest_2.2.4.dsc
 58b15222d7ac3ec5593e1610954e9129 78283 devel optional autopkgtest_2.2.4.tar.gz
 58158b3869465deb8ac48e2bb0e728b4 66090 devel optional autopkgtest_2.2.4_all.deb
 8d0211ffd63df454cb765378a6943a37 27436 devel optional autopkgtest-xenlvm_2.2.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRzCcjAAoJENFO8V2v4RNH83YQAJWt6PToRSCP+z/cLE1/4/ui
nIoI7VWW6AjN7zY2joI8mp/zXc1tCZOL61aocpV7VjROoSzUHULLU3ZVraVGK147
snN4RDzzji2gtaXg0ZR5V4oBKHzdBePXg+jN52EXasR/dNkdnxsskScFnAWJqTAO
mE1H0jVC0D1u3V35Uu/dgx4qy+8yF1Jb1oefoF876RCIibObUzeAMBPQJ6sFSF6l
A+9u+svIYKRMIf0o6ycH7Q/87mE2BZ2xikJj6Eoka5/zLREOkwvmsDHzzzYHCG8X
3aiA/GjVUTn6VXVUEiJljHnJ1y+2zf1AJel7z+0mmuS3hMIyQcGDaX/zkTywCNM5
i+pBome1rVGGJYoka9XWKvTqC6H4HC6P0/zFvC0JojW7YY+X3iRxTUcz4a5oIGzg
IAwzxKzJs2B0BkvW2Jw400kR1eI48EgO3R7qvMZxZmtyrwFeKQF4zkCJpgBOAxQQ
bjjdvpHGxuiA8GUwcDJsYmRu1PVWxQqGrSP0mEoyAsUQsVPZ4kEJBNyqeF80HlN4
M33eJtT7sPkNf8Ixt++IWg1JvPwwZR55Ick3N33x6l3Jpv4ABSGa0GYZvgsDgo1p
Y1t+xGEFaWPPphiiqXd6nru2NIjBW58chJk2jhLEwtHm7bh+GFsmUE2IAT+G5IIu
4YO7C978jwdPg/KFuNsg
=3YXg
-----END PGP SIGNATURE-----




Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Thu, 27 Jun 2013 12:06:15 GMT) Full text and rfc822 format available.

Notification sent to Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>:
Bug acknowledged by developer. (Thu, 27 Jun 2013 12:06:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Aug 2013 07:25:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:15:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.